Summary:        Nautilus iDeviceInfo
Name:           nautilus-ideviceinfo
Version:        0.1.0
Release:        3%{?_dist_release}
URL:		http://www.libimobiledevice.org/
Group:          User Interface/Desktops
License:       	GPLv2+

Source:         %{name}-%{version}.tar.bz2

# patch from ubuntu
Patch0:			01-gtk3-migration.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libimobiledevice-devel
BuildRequires:  libplist-devel
BuildRequires:	nautilus-devel
BuildRequires:  libgpod-devel >= 0.7.93

Requires: nautilus

%description
Nautilus-iDeviceInfo is a nautilus extension showing extended device
information in the nautilus properties dialog. It shows details like
serial number, software version, baseband/modem firmware version, and
storage usage (with nice eye candy).

%prep
%setup -q
%patch0 -p1

%build
autoreconf -if
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-3.0/*.{l,}a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/nautilus/extensions-3.0/*.so
%{_libdir}/nautilus/extensions-3.0/*.ui


%changelog
* Wed Nov 11 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.0-3
- rebuild with VineSeed environment

* Wed Jul 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.0-2
- rebuild with VineSeed environment
- add Patch0 (01-gtk3-migration.patch) from ubuntu

* Sat Jun 26 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.0-1
- initial build

